
/* Chrysalide - Outil d'analyse de fichiers binaires
 * module.c - intégration du répertoire debug en tant que module
 *
 * Copyright (C) 2012-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include "module.h"


#include "debugger.h"



/******************************************************************************
*                                                                             *
*  Paramètres  : module = module dont la définition est à compléter.          *
*                                                                             *
*  Description : Ajoute le module 'debug' au module Python.                   *
*                                                                             *
*  Retour      : -                                                            *
*                                                                             *
*  Remarques   : -                                                            *
*                                                                             *
******************************************************************************/

bool add_debug_module_to_python_module(PyObject *super)
{
    bool result;
    PyObject *module;
    int ret;                                /* Bilan d'un appel            */

    static PyMethodDef py_debug_methods[] = {
        { NULL }
    };

    module = Py_InitModule("pyoida.debug", py_debug_methods);
    if (module == NULL) return false;

    Py_INCREF(module);
    ret = PyModule_AddObject(super, "pyoida.debug", module);

    result = (ret == 0);

    //result &= register_python_binary_debugger(module);

    return result;

}
